
QGIS Application - Bug report #14117

Bad polygon digitizing in master

2016-01-15 08:23 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22119

Description

Steps to reproduce:

1. start digitizing a new polygon

2. add first vertex

a "ghost" vertex is also added way to the bottom left. It's not actually added to the end geometry though.

Associated revisions

Revision 23fc3cf9 - 2016-01-19 12:50 AM - Nyall Dawson

Fix invalid rubber band when digitising polygon and layer CRS

is not the same as map CRS (fix #14117)

History

#1 - 2016-01-16 03:53 AM - Sebastian Dietrich

- File QgisDigitizePolygon.png added

I can not reproduce using master (commit:1cd4570136344caafebbe911bbe797ddbc87a56a).

I created a new memory layer (Polygon, 4326) and started digitizing, no "ghost" vertex.

QgisDigitizePolygon.png

#2 - 2016-01-16 03:54 AM - Sebastian Dietrich

- Status changed from Open to Feedback

#3 - 2016-01-17 01:21 PM - Nyall Dawson

- Status changed from Feedback to Open

Bisected to 70c5fe5553225e4db02620b429a4cfc549d6fc22

#4 - 2016-01-18 03:51 PM - Nyall Dawson

- Status changed from Open to Closed
Fixed in changeset commit:"23fc3cf9ccc1d76baded3f963e936a0e12c80201".

Files

QgisDigitizePolygon.png 51.3 KB 2016-01-16 Sebastian Dietrich
